comp.lang.ada
 help / color / Atom feed
* Trying to install FSF called for failure in Adacore community
@ 2020-08-03  8:15 ldries46
  2020-08-03  8:30 ` Simon Wright
  0 siblings, 1 reply; 4+ messages in thread
From: ldries46 @ 2020-08-03  8:15 UTC (permalink / raw)


I tried to install the FSF ada compiler including all things like Cygwin 
and minsys. I didn't succeed.
Now my adacore installation produces an error which wasn't there before

gprbuild -d -PD:\ada\project\Glade2Ada\Glade2Ada.gpr 
D:\ada\project\Glade2Ada\Glade2Ada.adb
Bind
    [gprbind]      glade2ada.bexch
    [Ada]          glade2ada.ali
fatal error: file glib.ali is incorrectly formatted
make sure you are using consistent versions of gcc/gnatbind
97.  G a e
       |
gprbind: invocation of gnatbind failed
gprbuild: unable to bind glade2ada.adb

I have uninstalled All that I installed to try FSF and reinstalled 
Adacore Compiler and development environment and Gtkada from the Adacore 
community. And I deleted all build files so the compiler had to create all .
The error stll stays

What can I do to restore my Adacore environment or is there somewhere a 
single installation executable to install a complete FSF environment?

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Trying to install FSF called for failure in Adacore community
  2020-08-03  8:15 Trying to install FSF called for failure in Adacore community ldries46
@ 2020-08-03  8:30 ` Simon Wright
  2020-08-03 14:17   ` ldries46
  0 siblings, 1 reply; 4+ messages in thread
From: Simon Wright @ 2020-08-03  8:30 UTC (permalink / raw)


ldries46 <[email protected]> writes:

> gprbuild -d -PD:\ada\project\Glade2Ada\Glade2Ada.gpr
> D:\ada\project\Glade2Ada\Glade2Ada.adb
> Bind
>    [gprbind]      glade2ada.bexch
>    [Ada]          glade2ada.ali
> fatal error: file glib.ali is incorrectly formatted
> make sure you are using consistent versions of gcc/gnatbind
> 97.  G a e
>       |
> gprbind: invocation of gnatbind failed
> gprbuild: unable to bind glade2ada.adb

Did you try gprbuild -f (force recomilations)?

It might help to find glib.ali - the first line says which compiler
release was used to compile it, e.g.

FSF GCC 10:
V "GNAT Lib v10"

GNAT CE 2020:
V "GNAT Lib v2020"

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Trying to install FSF called for failure in Adacore community
  2020-08-03  8:30 ` Simon Wright
@ 2020-08-03 14:17   ` ldries46
  2020-08-03 14:36     ` Fabien Chouteau
  0 siblings, 1 reply; 4+ messages in thread
From: ldries46 @ 2020-08-03 14:17 UTC (permalink / raw)


Op 3-8-2020 om 10:30 schreef Simon Wright:
> ldries46 <[email protected]> writes:
>
>> gprbuild -d -PD:\ada\project\Glade2Ada\Glade2Ada.gpr
>> D:\ada\project\Glade2Ada\Glade2Ada.adb
>> Bind
>>     [gprbind]      glade2ada.bexch
>>     [Ada]          glade2ada.ali
>> fatal error: file glib.ali is incorrectly formatted
>> make sure you are using consistent versions of gcc/gnatbind
>> 97.  G a e
>>        |
>> gprbind: invocation of gnatbind failed
>> gprbuild: unable to bind glade2ada.adb
> Did you try gprbuild -f (force recomilations)?
>
> It might help to find glib.ali - the first line says which compiler
> release was used to compile it, e.g.
>
> FSF GCC 10:
> V "GNAT Lib v10"
>
> GNAT CE 2020:
> V "GNAT Lib v2020"
I first tried to run "gprbuild -f -d 
-PD:\ada\project\Glade2Ada\Glade2Ada.gpr" in a cmd window, that didn't 
work because the system did not recognize the "gprbuild" command, but it 
triggered me to search into the various settings of the environment  and 
I found Settings/Toolchains where the TDM-GCC-64 directory was 
mentioned. I realised that that  directory was also a part op the FSF 
exercise and deleted it. After that the problem was over.
Thanks for tour hint.

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Trying to install FSF called for failure in Adacore community
  2020-08-03 14:17   ` ldries46
@ 2020-08-03 14:36     ` Fabien Chouteau
  0 siblings, 0 replies; 4+ messages in thread
From: Fabien Chouteau @ 2020-08-03 14:36 UTC (permalink / raw)


I used the mingw64 build from msys2.org just this weekend, it works.

Just have to install those two packages:
$ pacman -S mingw-w64-x86_64-gcc-ada
$ pacman -S mingw-w64-x86_64-gprbuild-gpl

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, back to index

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-08-03  8:15 Trying to install FSF called for failure in Adacore community ldries46
2020-08-03  8:30 ` Simon Wright
2020-08-03 14:17   ` ldries46
2020-08-03 14:36     ` Fabien Chouteau

comp.lang.ada

Archives are clonable: git clone --mirror https://archive.legitdata.co/comp.lang.ada

Example config snippet for mirrors


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git